import { EventEmitter, OnInit } from '@angular/core';
import { FormBuilder, FormGroup } from "@angular/forms";
import { Label } from "@yukawa/chain-base-angular-domain";
import { LabelAspect } from "@yukawa/chain-main-angular-core";
import { LabelEditService } from "./label-edit.service";
import { BehaviorSubject } from "rxjs";
import * as i0 from "@angular/core";
export declare class LabelingComponent implements OnInit {
    private _formBuilder;
    labelEditService: LabelEditService;
    labelAspect: LabelAspect;
    selectedLabels: BehaviorSubject<Label[]>;
    labelList: Label[];
    labelAdded: EventEmitter<object>;
    navigateToAllLabels: EventEmitter<boolean>;
    private debouncer;
    newLabel: FormGroup;
    showAddLabelBox: boolean;
    pickedColor: any;
    constructor(_formBuilder: FormBuilder, labelEditService: LabelEditService, labelAspect: LabelAspect);
    ngOnInit(): void;
    createNewLabel(): void;
    deleteLabel(event: Event, labelId: string): void;
    colorPickerChange(color: string): void;
    compareLabels(label1: Label, label2: Label): boolean;
    removeLabelFromSelection(i: number): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LabelingComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LabelingComponent, "chain-main-labeling", never, { "labelList": "labelList"; }, { "labelAdded": "labelAdded"; "navigateToAllLabels": "navigateToAllLabels"; }, never, never, false>;
}
