import { Observable } from 'rxjs';
import { QueryTableSource } from "@yukawa/chain-base-angular-store";
import { Setting, SettingAspect, SettingFilter } from "@yukawa/chain-main-angular-core";
import { QueryResult } from "@yukawa/chain-base-angular-domain";
import { MatPaginator } from '@angular/material/paginator';
import { MatSort } from '@angular/material/sort';
/**
 * Data source for the settings table view. This class should
 * encapsulate all logic for fetching and manipulating the displayed data
 * (including sorting, pagination, and filtering).
 */
export declare class SettingTableDatasource extends QueryTableSource<SettingFilter, Setting> {
    private settingService;
    protected paginator: MatPaginator;
    protected sort: MatSort;
    filter: SettingFilter;
    constructor(settingService: SettingAspect, paginator: MatPaginator, sort: MatSort, filter?: SettingFilter);
    protected queryTable(): Observable<QueryResult<Setting>>;
    protected initReloadMutations(): any[];
    protected searchData(data: Setting[]): Setting[];
}
