import { Observable } from 'rxjs';
import { HttpClient } from '@angular/common/http';
import { ConfigService, RestAspect } from '@yukawa/chain-base-angular-client';
import { EditResult, QueryResult, SearchResult } from '@yukawa/chain-base-angular-domain';
import { User, UserAspect } from "@yukawa/chain-main-angular-core";
import * as i0 from "@angular/core";
export declare class UserService extends RestAspect implements UserAspect {
    protected http: HttpClient;
    protected configService: ConfigService;
    constructor(http: HttpClient, configService: ConfigService);
    /** @deprecated */
    searchUser(filter: any): Observable<SearchResult<User>>;
    queryUser(filter: any): Observable<QueryResult<User>>;
    loadUser(id: string): Observable<User>;
    saveUser(user: User, method: "put" | "post"): Observable<any>;
    deleteUser(username: string): Observable<EditResult>;
    protected formatServiceUrl(path?: string): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<UserService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<UserService>;
}
